#rm(list=ls(all=TRUE))
#m=function(x) sin(x) #model1,hetero1
#m=function(x) .8*log(x^2*3+1)#model2
#m=function(x) -.5*exp(-50*x^2)*x #model3
m=function(x) .75*x #hetero2
#v=function(x) 1 
#v=function(x) sqrt(.5+.25*x^2)#hetero1
v=function(x) .15*x+1 #hetero2

source('mfbs_laplace.R')
n=100
regc=rep(NA,500)
prec=rep(NA,500)
regl=rep(NA,500)
prel=rep(NA,500)
regc90=rep(NA,500)
prec90=rep(NA,500)
regl90=rep(NA,500)
prel90=rep(NA,500)

library(VGAM)
for (i in 1:500){
###################simulation############################
 set.seed(5*i)
 results=mfbs(m,v,n)
 regc[i]=results$regc
 prec[i]=results$prec
 regl[i]=results$regl
 prel[i]=results$prel
 regc90[i]=results$regc90
 prec90[i]=results$prec90
 regl90[i]=results$regl90
 prel90[i]=results$prel90
 save.image("../workspace/hetero2_laplace100a.RData")
 print(i)
}

mean(regc)
mean(prec)
mean(regl)
mean(prel)
sqrt(var(regl))
sqrt(var(prel)) 
mean(regc90)
mean(prec90)
mean(regl90)
mean(prel90)
sqrt(var(regl90))
sqrt(var(prel90))

